Update Opt-in Prompt
curl --request PUT \
--url https://api.aimtell.com/prod/prompt/{id} \
--header 'Content-Type: application/json' \
--header 'X-Authorization-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"header_text": "<string>",
"header_text_color": "<string>",
"body_text": "<string>",
"body_text_color": "<string>",
"cancel_button_text": "<string>",
"cancel_button_text_color": "<string>",
"cancel_button_color": "<string>",
"approve_button_text": "<string>",
"approve_button_text_color": "<string>",
"approve_button_color": "<string>",
"icon_url": "<string>"
}
'import requests
url = "https://api.aimtell.com/prod/prompt/{id}"
payload = {
"name": "<string>",
"header_text": "<string>",
"header_text_color": "<string>",
"body_text": "<string>",
"body_text_color": "<string>",
"cancel_button_text": "<string>",
"cancel_button_text_color": "<string>",
"cancel_button_color": "<string>",
"approve_button_text": "<string>",
"approve_button_text_color": "<string>",
"approve_button_color": "<string>",
"icon_url": "<string>"
}
headers = {
"X-Authorization-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
header_text: '<string>',
header_text_color: '<string>',
body_text: '<string>',
body_text_color: '<string>',
cancel_button_text: '<string>',
cancel_button_text_color: '<string>',
cancel_button_color: '<string>',
approve_button_text: '<string>',
approve_button_text_color: '<string>',
approve_button_color: '<string>',
icon_url: '<string>'
})
};
fetch('https://api.aimtell.com/prod/prompt/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success",
"message": "Updated prompt succesfully.",
"id": "1234"
}{
"result": "error",
"message": "Invalid token.",
"error_code": 71831
}Prompts
Update Opt-in Prompt
Updates an opt-in prompt
PUT
/
prod
/
prompt
/
{id}
Update Opt-in Prompt
Authorizations
Path Parameters
Prompt ID
Body
application/json
Prompt Name
Prompt Header Text
Prompt Header Text Color (hexadecimal color e.g. #000000)
Prompt Body Text
Prompt Body Text Color (hexadecimal color e.g. #000000)
Prompt Cancel Button Text
Prompt Cancel Button Text Color (hexadecimal color e.g. #ffffff)
Prompt Cancel Button Color (hexadecimal color e.g. #4e99cf)
Prompt Approve Button Text
Prompt Approve Button Text Color (hexadecimal color e.g. #ffffff)
Prompt Approve Button Color (hexadecimal color e.g. #4e99cf)
Prompt Icon URL
⌘I

